WrapUtil (Gradle API 7.6.3)

Package org.gradle.util

## Class WrapUtil

- java.lang.Object
- - org.gradle.util.WrapUtil

-     @Deprecated
      public class WrapUtil
      extends java.lang.Object

  Deprecated.
  Will be removed in Gradle 9.0.
  This class is only here to maintain binary compatibility with existing plugins.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WrapUtil()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T> T[]` | `toArray​(T... items)` | Deprecated.
    `static <T> DomainObjectSet<T>` | `toDomainObjectSet​(java.lang.Class<T> type, T... items)` | Deprecated. Wraps the given items in a mutable domain object set.
    `static <T> java.util.Set<T>` | `toLinkedSet​(T... items)` | Deprecated. Wraps the given items in a mutable ordered set.
    `static <T> java.util.List<T>` | `toList​(java.lang.Iterable<? extends T> items)` | Deprecated. Wraps the given items in a mutable list.
    `static <T> java.util.List<T>` | `toList​(T... items)` | Deprecated. Wraps the given items in a mutable list.
    `static <K,​V> java.util.Map<K,​V>` | `toMap​(K key, V value)` | Deprecated. Wraps the given key and value in a mutable unordered map.
    `static <T> java.util.Set<T>` | `toSet​(T... items)` | Deprecated. Wraps the given items in a mutable unordered set.
    `static <T> java.util.SortedSet<T>` | `toSortedSet​(java.util.Comparator<T> comp, T... items)` | Deprecated. Wraps the given items in a mutable sorted set using the given comparator.
    `static <T> java.util.SortedSet<T>` | `toSortedSet​(T... items)` | Deprecated. Wraps the given items in a mutable sorted set.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WrapUtil

          public WrapUtil()

      Deprecated.

  - ### Method Detail

    - #### toSet

          @SafeVarargs
          public static <T> java.util.Set<T> toSet​(T... items)

      Deprecated.
      Wraps the given items in a mutable unordered set.

    - #### toDomainObjectSet

          @SafeVarargs
          public static <T> DomainObjectSet<T> toDomainObjectSet​(java.lang.Class<T> type,
                                                                 T... items)

      Deprecated.
      Wraps the given items in a mutable domain object set.

    - #### toLinkedSet

          @SafeVarargs
          public static <T> java.util.Set<T> toLinkedSet​(T... items)

      Deprecated.
      Wraps the given items in a mutable ordered set.

    - #### toSortedSet

          @SafeVarargs
          public static <T> java.util.SortedSet<T> toSortedSet​(T... items)

      Deprecated.
      Wraps the given items in a mutable sorted set.

    - #### toSortedSet

          @SafeVarargs
          public static <T> java.util.SortedSet<T> toSortedSet​(java.util.Comparator<T> comp,
                                                               T... items)

      Deprecated.
      Wraps the given items in a mutable sorted set using the given comparator.

    - #### toList

          @SafeVarargs
          public static <T> java.util.List<T> toList​(T... items)

      Deprecated.
      Wraps the given items in a mutable list.

    - #### toList

          public static <T> java.util.List<T> toList​(java.lang.Iterable<? extends T> items)

      Deprecated.
      Wraps the given items in a mutable list.

    - #### toMap

          public static <K,​V> java.util.Map<K,​V> toMap​(K key,
                                                                   V value)

      Deprecated.
      Wraps the given key and value in a mutable unordered map.

    - #### toArray

          @SafeVarargs
          public static <T> T[] toArray​(T... items)

      Deprecated.